### Constructor

# GtkSource AnnotationProvider new

since: 5.18

#### Declaration [src]

    GtkSourceAnnotationProvider*
    gtk_source_annotation_provider_new (
      void
    )

#### Description [src]

Used to create a new annotation provider.

Available since: 5.18

#### Return value

Type: `GtkSourceAnnotationProvider`

A new `GtkSourceAnnotationProvider`.

The caller of the function takes ownership of the data, and is responsible for freeing it.